---
title: Range.endContainer
slug: Web/API/Range/endContainer
tags:
  - API
  - DOM
  - Property
  - Range
---
<div>{{ApiRef("DOM")}}</div>

<p>The <strong><code>Range.endContainer</code></strong> read-only property returns the {{domxref("Node")}} within which the {{domxref("Range")}} ends. To change the end position of a node, use the {{domxref("Range.setEnd()")}} method or a similar one.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>endRangeNode</em> = <em>range</em>.endContainer;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">var range = document.createRange();

range.setStart(startNode,startOffset);
range.setEnd(endNode,endOffset);
endRangeNode = range.endContainer;

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-endcontainer', 'Range.endContainer')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level-2-Range-attr-endParent', 'Range.endContainer')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.endContainer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
